# Imagick::setRegistry

(PECL imagick 3 >= 3.3.0)

Imagick::setRegistry — Définit l'entrée du registre ImageMagick nommée clé pour value

### Description

public static Imagick::setRegistry(string `$key`, string `$value`): bool

Définit l'entrée du registre ImageMagick nommée clé pour value. C'est le plus utile pour définir "temporary-path" qui contrôle où ImageMagick crée des images temporaires par exemple lors du traitement de PDF.

### Liste de paramètres

`key`

`value`

### Valeurs de retour

Retourne `true` en cas de succès.